diff --git a/README.md b/README.md
index 3185b6cca5..73dc1acd2c 100644
--- a/README.md
+++ b/README.md
@@ -159,6 +159,8 @@ information on what to include when reporting a bug.
    configuration change (#1761)
  - [Win32] Bugfix: Initialization would segfault on Windows 8 (not 8.1) (#1775)
  - [Win32] Bugfix: Duplicate size events were not filtered (#1610)
+ - [Win32] Bugfix: Full screen windows were incorrectly resized by DPI changes
+   (#1582)
  - [Cocoa] Added support for `VK_EXT_metal_surface` (#1619)
  - [Cocoa] Added locating the Vulkan loader at runtime in an application bundle
  - [Cocoa] Moved main menu creation to GLFW initialization time (#1649)
diff --git a/src/win32_window.c b/src/win32_window.c
index febafae42f..1fa4570ade 100644
--- a/src/win32_window.c
+++ b/src/win32_window.c
@@ -1140,7 +1140,7 @@ static LRESULT CALLBACK windowProc(HWND hWnd, UINT uMsg,
 
             // Only apply the suggested size if the OS is new enough to have
             // sent a WM_GETDPISCALEDSIZE before this
-            if (_glfwIsWindows10CreatorsUpdateOrGreaterWin32())
+            if (_glfwIsWindows10CreatorsUpdateOrGreaterWin32() && !window->monitor)
             {
                 RECT* suggested = (RECT*) lParam;
                 SetWindowPos(window->win32.handle, HWND_TOP,
